GetJobReportRequestPBImpl (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb, class: GetJobReportRequestPBImpl

Package org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb

# Class GetJobReportRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetJobReportRequestProto>
org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb.GetJobReportRequestPBImpl

All Implemented Interfaces:
  `GetJobReportRequest`

public class GetJobReportRequestPBImpl extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetJobReportRequestProto> implements GetJobReportRequest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetJobReportRequestPBImpl()`
  `GetJobReportRequestPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetJobReportRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JobId`
  `getJobId()`
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetJobReportRequestProto`
  `getProto()`
  `void`
  `setJobId(JobId jobId)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

  `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetJobReportRequestPBImpl

    public GetJobReportRequestPBImpl()

  - ### GetJobReportRequestPBImpl

    public GetJobReportRequestPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetJobReportRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetJobReportRequestProto getProto()
    Specified by:
      `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetJobReportRequestProto>`

  - ### getJobId

    public JobId getJobId()
    Specified by:
      `getJobId` in interface `GetJobReportRequest`

  - ### setJobId

    public void setJobId(JobId jobId)
    Specified by:
      `setJobId` in interface `GetJobReportRequest`